ICB(1)

NAME
icb - a color-capable International/Internet CB chat client

SYNOPSIS
icb [options]

DESCRIPTION
ICB (International CB, or Internet CB) is a teleconferencing system that allows Internet users to participate in realtime online discussions.

OPTIONS
Options may be abbreviated to the shortest unique prefix (generally one or two characters). Options requiring an argument must have a space before the argument.

-nickname nick
    Sign on with nickname nick (default: see ENVIRONMENT below).

-password pass
    Set password to pass. Note: specifying a password on the command line implies -clear.

-password -
    Prompt for password.

-group group
    Sign on into group group.

-server name
    Connect to server named name.

-host host
    Connect to server on host host (default: default.icb.net).

-port port
    Try to connect to port port (default: 7326, or 7327 when using SSL).

-bindhost host
    Try to bind outgoing connect to host host (default: 0.0.0.0).

-SSL
    Use SSL.

-list
    List known servers, in order.

-clear
    Wipe args from command line.

-who
    See who's on; don't sign on.

-restricted
    Restricted mode. Disables logging, external shell commands, and the tcl commands exec, print, file, and source.

-color
    Enable ANSI color mode (disabled by default).

-help
    Display built-in help message.

ENVIRONMENT

ICBNAME
FNNAME
FORUMNAME
    If the -nickname option is not given, these environment variables are checked in the order listed. The first one that's set is used as the nickname on the server. If none are set, the login name on the local system is used as the nickname.

EDITOR
VISUAL
    If EDITOR (or VISUAL, if EDITOR is not set) is set to "emacs" (or a path ending in "emacs", such as "/usr/bin/emacs"), icb will use emacs editing mode by default, otherwise it will use vi mode. However, the default system.icbrc contains "oset editmode emacs" which overrides this variable. To use the environment, add "ounset editmode" to your ~/.icb/icbrc.

SHELL
    The shell to use when running external commands from within icb, via the c_chell command (see /help primitives). If not set, /bin/sh is used.

FILES

/usr/share/cicb/icbserverdb
    List of ICB servers. Used by the -list and -server options.

/usr/share/cicb/system.icbrc
    System-wide ICB startup script, in TCL. Contains many helpful comments.

$HOME/.icb/icbrc
    Per-user startup script, sourced by system.icbrc if found.

AUTHORS
ICB is based on Sean Casey's ForumNet ("forum" or "fn") 0.10, with his permission. The new name was devised by Mark Giaquinto and John Atwood DeVries. The actual code here is based on release 5.0.9 of the Tcl C-Icb client. It has been severely modified by a loose knit group of users who can't seem to part with the traditional client code.

The parts of the code that are left over from ForumNet are Copyright (c) 1990 by Carrick Sean Casey.

The parts of the code that are left over from icb 5.0.9 is Copyright (c) 1993 by Mark J. Reed.

That said, cicb 5.1 is nearly a complete rewrite of the original code by the cicb-workers committee, which includes, but is not limited to: Erik Fichtner, Phil Stracchino, Michel Hoche-Mong, and Felix Lee.

This man page written by B. Watson for the SlackBuilds.org project, and may be used by anyone.

LICENSE
This code has been placed under the GNU Public License with Mark Reed's blessing. Please see the file "COPYING" for further information.

SEE ALSO
icb's extensive built-in help, accessed by the /help command.

The ICB web site, http://www.icb.net/.